summaryrefslogtreecommitdiffstats
path: root/system/cw
diff options
context:
space:
mode:
author Andrew Clemons <andrew.clemons@gmail.com>2023-11-18 00:03:02 +0900
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-11-18 09:03:37 +0700
commit8637173f9c677bd75a31dddc658e9065f3c3b940 (patch)
tree6d5f68e286660e9e4a6c35cfcc2080cccc7f76ba /system/cw
parent226e707ef93b086fb58ffb4d4490953fbb05d6cb (diff)
downloadslackbuilds-8637173f9c677bd75a31dddc658e9065f3c3b940.tar.gz
slackbuilds-8637173f9c677bd75a31dddc658e9065f3c3b940.tar.xz
system/cw: Added (tail cloudwatch logs).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/cw')
-rw-r--r--system/cw/README3
-rw-r--r--system/cw/cw.SlackBuild102
-rw-r--r--system/cw/cw.info14
-rw-r--r--system/cw/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/system/cw/README b/system/cw/README
new file mode 100644
index 0000000000..4b0fd1e2e7
--- /dev/null
+++ b/system/cw/README
@@ -0,0 +1,3 @@
+cw - The best way to tail AWS CloudWatch Logs from your terminal.
+
+NOTE: You need awscli in order to setup AWS credentials
diff --git a/system/cw/cw.SlackBuild b/system/cw/cw.SlackBuild
new file mode 100644
index 0000000000..7ebfb2c21b
--- /dev/null
+++ b/system/cw/cw.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/bash
+
+# Slackware build script for cw
+
+# Copyright 2023 Andrew Clemons, Tokyo Japan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=cw
+VERSION=${VERSION:-4.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SRCARCH=i386
+elif [ "$ARCH" = "i686" ]; then
+ SRCARCH=i386
+elif [ "$ARCH" = "x86_64" ]; then
+ SRCARCH=x86_64
+elif [ "$ARCH" = "aarch64" ]; then
+ SRCARCH=arm64
+elif [ "$ARCH" = "arm" ]; then
+ SRCARCH=armv6
+else
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/"$PRGNAM"_"$VERSION"_Linux_"$SRCARCH".tar.gz -C $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+install -m 0755 cw $PKG/usr/bin/cw
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/bash-completion/completions/
+install -m 0644 cw.bash $PKG/usr/share/bash-completion/completions/cw
+
+mkdir -p $PKG/usr/share/zsh/site-functions/
+install -m 0644 cw.zsh $PKG/usr/share/zsh/site-functions/_cw
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/cw/cw.info b/system/cw/cw.info
new file mode 100644
index 0000000000..c4950f7de5
--- /dev/null
+++ b/system/cw/cw.info
@@ -0,0 +1,14 @@
+PRGNAM="cw"
+VERSION="4.1.3"
+HOMEPAGE="https://github.com/lucagrulla/cw"
+DOWNLOAD="https://github.com/lucagrulla/cw/releases/download/v4.1.3/cw_4.1.3_Linux_i386.tar.gz \
+ https://github.com/lucagrulla/cw/releases/download/v4.1.3/cw_4.1.3_Linux_armv6.tar.gz"
+MD5SUM="275a1064db86335badafb944cd50a35a \
+ 9474fe382668991a1b6f7760b4da0da9"
+DOWNLOAD_x86_64="https://github.com/lucagrulla/cw/releases/download/v4.1.3/cw_4.1.3_Linux_x86_64.tar.gz \
+ https://github.com/lucagrulla/cw/releases/download/v4.1.3/cw_4.1.3_Linux_arm64.tar.gz"
+MD5SUM_x86_64="d7424fd11f775a96b65d4315e0909d28 \
+ 7e9945a40a99a1ccff69b8d85e415ac4"
+REQUIRES=""
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"
diff --git a/system/cw/slack-desc b/system/cw/slack-desc
new file mode 100644
index 0000000000..8aeef252e1
--- /dev/null
+++ b/system/cw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cw: cw ( The best way to tail AWS CloudWatch Logs from your terminal)
+cw:
+cw: https://github.com/lucagrulla/cw
+cw:
+cw:
+cw:
+cw:
+cw:
+cw:
+cw:
+cw: